@font-face {
  font-family: "celliad";
  src: url("./assets/Celliad.ttf");
}
@font-face {
  font-family: "parisian";
  src: url("./assets/Parisian.ttf");
}

html {
  scroll-behavior: smooth;
}

:root {
  --color1: #f5f5f5;
  --color2: #004621;
  --color3: #31742d;
  --color4: #7fb965;
  --color5: #3e77a5;
}
.st0 {
  fill: var(--color3);
}
.st1 {
  fill: var(--color2);
}

*,
::before,
::after {
  box-sizing: border-box;
  list-style: none;
  margin: 0;
  padding: 0;
}

button {
  cursor: pointer;
  border: none;
  user-select: none;
}
label {
  cursor: pointer;
}
img {
  user-select: none;
}

body {
  position: relative;
  background: var(--color2);
  color: var(--color1);
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
  width: 100%;
  height: 100%;
  min-height: 100%;
}

a:is(:link, :active, :visited) {
  color: var(--color1);
  text-decoration: none;
  outline: none;
  border: none;
}
a:is(:link, :active, :visited):focus-visible {
  text-decoration: underline;
}
a:is(:link, :active, :visited):hover {
  color: var(--color4);
}

nav {
  position: fixed;
  text-align: center;
  width: 100%;
  top: 0;
  background: var(--color2);
  overflow: hidden;
  z-index: 1000;
  border-bottom: var(--color4) 2px solid;
}
nav a:is(:link, :active, :visited) {
  font-size: clamp(1.2rem, 2vw, 1.6rem);
  line-height: 200%;
  padding: 0px 20px;
}

h2 {
  text-align: center;
  font-size: clamp(2rem, 5vw, 6rem);
  padding: 80px 0px 40px;
  color: var(--color1);
}
h3 {
  font-size: clamp(1rem, 3vw, 3rem);
}
h4 {
  font-size: clamp(1rem, 2vw, 1.8rem);
}
p,
i,
footer.contact a {
  font-size: clamp(1rem, 2vw, 1.2rem);
}
img {
  width: 100%;
  height: 100%;
  user-select: none;
}
i {
  padding-right: 6px;
}

/* *************************************************************************************************************** */

section,
main {
  position: relative;
  width: 100%;
  background: var(--color2);
}

.box {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  max-width: 1200px;
  margin: 0 auto;
}

.wave1,
.wave2,
.wave3 {
  position: relative;
}
.wave1 svg,
.wave2 svg,
.wave3 svg {
  display: block;
  width: 100%;
  background: transparent;
  filter: drop-shadow(0 -20px 0 var(--color5));
}
.wave1 svg,
.wave3 svg {
  fill: var(--color2);
}
.wave2 svg {
  fill: var(--color3);
}

/* *************************************************************************************************************** */

.titre {
  display: flex;
  justify-content: center;
  flex-direction: column;
  text-align: center;
  padding: 120px 0px 0px;
  background: url(./assets/img_presentation/auberge-fond.jpg) center / cover
    no-repeat;
}
.titre h1 {
  position: relative;
  display: flex;
  justify-content: center;
  text-align: center;
  white-space: nowrap;
  width: 100%;
  margin: auto;
  font-size: 8vw;
  font-family: "parisian";
  color: var(--color2);
}
.titre h1 span {
  width: 8vw;
}
#roue svg {
  width: 100%;
  height: 100%;
  animation: rotation 6s linear infinite;
}
@keyframes rotation {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
.titre h2 {
  color: var(--color5);
}
.titre h3 {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  white-space: nowrap;
  font-size: 4vw;
  font-family: "celliad";
  color: var(--color3);
  margin-top: 20px;
}
.titre h4 {
  font-size: clamp(1rem, 3vw, 3rem);
  color: var(--color5);
}

/* *************************************************************************************************************** */

.presentation .box {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  margin: 0 auto;
}
#association,
#bea,
#location {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 40px 0px;
}
#location {
  flex-direction: row-reverse;
}
.presentation h3 {
  text-transform: uppercase;
  padding: 40px 0px;
}
.presentation h4 {
  margin-top: 20px;
}
.presentation p,
.presentation i {
  color: var(--color1);
}
.textes {
  padding: 0px 40px;
}
.presentation .img-container {
  width: 100%;
}
#resume {
  margin: 0 auto;
  text-align: center;
}
#resume p {
  color: var(--color4);
}

/* *************************************************************************************************************** */

.evenements {
  background: var(--color3);
}
.evenements ul {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 80px 20px;
  margin-top: 40px;
}
.evenements li {
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 360px;
  max-height: 400px;
}
.evenements img {
  width: 80%;
  cursor: pointer;
  transition: width 0.3s ease-in-out;
}
.evenements img:hover {
  width: 100%;
}

/* *************************************************************************************************************** */
footer.contact {
  position: relative;
  padding: 0px 60px 0px;
  background: var(--color2);
  color: var(--color1);
}
footer.contact ul {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 60px;
}
footer.contact li {
  display: flex;
  flex-direction: column;
}
footer.contact h3 {
  margin-bottom: 20px;
}
footer.contact #logo {
  width: 100%;
  height: 100%;
  fill: var(--color1);
}
footer.contact span svg {
  width: 50px;
  height: 100%;
  fill: var(--color1);
}
footer.contact .copyright {
  display: flex;
  justify-content: center;
  align-content: center;
  margin-top: 60px;
}

/* *************************************************************************************************************** */

@media (max-width: 500px) {
  main {
    padding: 0;
  }
  #association,
  #location,
  #bea {
    flex-direction: column;
    flex-direction: reverse;
  }
}
